<html>
<head>
<title>OGRE: OgreSceneQuery.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreSceneQuery.h</h1><a href="OgreSceneQuery_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __SceneQuery_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __SceneQuery_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgreAxisAlignedBox_8h.html">OgreAxisAlignedBox.h</a>"</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreSphere_8h.html">OgreSphere.h</a>"</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgreRay_8h.html">OgreRay.h</a>"</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include "<a class="code" href="OgreRenderOperation_8h.html">OgreRenderOperation.h</a>"</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include "<a class="code" href="OgrePlaneBoundedVolume_8h.html">OgrePlaneBoundedVolume.h</a>"</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keyword">namespace </span>Ogre {
<a name="l00040"></a>00040 
<a name="l00041"></a>00041     <span class="comment">// forward declaration</span>
<a name="l00042"></a>00042     <span class="keyword">class </span>SceneQueryListener;
<a name="l00068"></a><a class="code" href="classOgre_1_1SceneQuery.html">00068</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>
<a name="l00069"></a>00069     {
<a name="l00070"></a>00070     <span class="keyword">public</span>:
<a name="l00077"></a><a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">00077</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a" title="This type can be used by collaborating applications &amp;amp; SceneManagers to agree...">WorldFragmentType</a> {
<a name="l00079"></a><a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a6ed287fab168d451beb369009f0fd03b">00079</a>             WFT_NONE,
<a name="l00081"></a><a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a667bbec7031e58ab244f9efc32056f38">00081</a>             WFT_PLANE_BOUNDED_REGION,
<a name="l00083"></a><a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a018493b6c87271e0c8ba014f058cffd3">00083</a>             WFT_SINGLE_INTERSECTION,
<a name="l00085"></a><a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3adeefa0cc2dfd1ec783c2a266ea61f925">00085</a>             WFT_CUSTOM_GEOMETRY,
<a name="l00087"></a><a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3ad498944c8c6b81d737c3ceee86881e8d">00087</a>             WFT_RENDER_OPERATION
<a name="l00088"></a>00088         };
<a name="l00089"></a>00089 
<a name="l00103"></a><a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">00103</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html" title="Represents part of the world geometry that is a result of a SceneQuery.">WorldFragment</a> {
<a name="l00105"></a><a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#57f755adea8044729adff811f61f1a60">00105</a>             <a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a" title="This type can be used by collaborating applications &amp;amp; SceneManagers to agree...">WorldFragmentType</a> fragmentType;
<a name="l00107"></a><a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#bfe0314db3e89040486ceb1ba36a8682">00107</a>             <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> singleIntersection;
<a name="l00109"></a><a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#734cdb6c7646747c773f899122e632b7">00109</a>             std::list&lt;Plane&gt;* planes;
<a name="l00111"></a><a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#f83de2ae922b7f41d25b930705836378">00111</a>             <span class="keywordtype">void</span>* geometry;
<a name="l00113"></a><a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#54bfeacb15a22824625be72012600416">00113</a>             <a class="code" href="classOgre_1_1RenderOperation.html" title="&amp;#39;New&amp;#39; rendering operation using vertex buffers.">RenderOperation</a>* renderOp;
<a name="l00114"></a>00114             
<a name="l00115"></a>00115         };
<a name="l00116"></a>00116     <span class="keyword">protected</span>:
<a name="l00117"></a><a class="code" href="classOgre_1_1SceneQuery.html#36c06292c148746a8950b5c3c60b63a7">00117</a>         <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>* mParentSceneMgr;
<a name="l00118"></a><a class="code" href="classOgre_1_1SceneQuery.html#1ab71f92378d94fc42b48c7bf8d9b5a0">00118</a>         <a class="code" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> mQueryMask;
<a name="l00119"></a><a class="code" href="classOgre_1_1SceneQuery.html#b6bea8046f722f02c27b0c0de794f13d">00119</a>         <a class="code" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> mQueryTypeMask;
<a name="l00120"></a><a class="code" href="classOgre_1_1SceneQuery.html#ab0a829ac0c1ac1045dac7db2320a3c8">00120</a>         std::set&lt;WorldFragmentType&gt; mSupportedWorldFragments;
<a name="l00121"></a><a class="code" href="classOgre_1_1SceneQuery.html#9cef909c3f78d2e9f3ef44ca8c2cfdaa">00121</a>         <a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a" title="This type can be used by collaborating applications &amp;amp; SceneManagers to agree...">WorldFragmentType</a> mWorldFragmentType;
<a name="l00122"></a>00122     
<a name="l00123"></a>00123     <span class="keyword">public</span>:
<a name="l00125"></a>00125         <a class="code" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>* mgr);
<a name="l00126"></a>00126         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>();
<a name="l00127"></a>00127 
<a name="l00137"></a>00137         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setQueryMask(<a class="code" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask);
<a name="l00139"></a>00139         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> getQueryMask(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00140"></a>00140 
<a name="l00149"></a>00149         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setQueryTypeMask(<a class="code" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask);
<a name="l00151"></a>00151         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> getQueryTypeMask(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00152"></a>00152 
<a name="l00163"></a>00163         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setWorldFragmentType(<span class="keyword">enum</span> <a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a" title="This type can be used by collaborating applications &amp;amp; SceneManagers to agree...">WorldFragmentType</a> wft);
<a name="l00164"></a>00164 
<a name="l00166"></a>00166         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a" title="This type can be used by collaborating applications &amp;amp; SceneManagers to agree...">WorldFragmentType</a> getWorldFragmentType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00167"></a>00167 
<a name="l00169"></a><a class="code" href="classOgre_1_1SceneQuery.html#dda215d4b5d717b6e09def4d02f445e6">00169</a>         <span class="keyword">virtual</span> <span class="keyword">const</span> std::set&lt;WorldFragmentType&gt;* getSupportedWorldFragmentTypes(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00170"></a>00170 <span class="keyword">            </span>{<span class="keywordflow">return</span> &amp;mSupportedWorldFragments;}
<a name="l00171"></a>00171 
<a name="l00172"></a>00172         
<a name="l00173"></a>00173     };
<a name="l00174"></a>00174 
<a name="l00181"></a><a class="code" href="classOgre_1_1SceneQueryListener.html">00181</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions...">SceneQueryListener</a>
<a name="l00182"></a>00182     {
<a name="l00183"></a>00183     <span class="keyword">public</span>:
<a name="l00184"></a><a class="code" href="classOgre_1_1SceneQueryListener.html#d0ea5280ec1032a5170999eb7ae3fb2b">00184</a>         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions...">SceneQueryListener</a>() { }
<a name="l00190"></a>00190         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> queryResult(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* <span class="keywordtype">object</span>) = 0;
<a name="l00196"></a>00196         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> queryResult(<a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html" title="Represents part of the world geometry that is a result of a SceneQuery.">SceneQuery::WorldFragment</a>* fragment) = 0;
<a name="l00197"></a>00197 
<a name="l00198"></a>00198     };
<a name="l00199"></a>00199 
<a name="l00200"></a><a class="code" href="namespaceOgre.html#eb1862543a1dcd5fc29dc4e549a71f15">00200</a>     <span class="keyword">typedef</span> std::list&lt;MovableObject*&gt; <a class="code" href="namespaceOgre.html#eb1862543a1dcd5fc29dc4e549a71f15">SceneQueryResultMovableList</a>;
<a name="l00201"></a><a class="code" href="namespaceOgre.html#92a09e47bee5654fe8587a739dde5b80">00201</a>     <span class="keyword">typedef</span> std::list&lt;SceneQuery::WorldFragment*&gt; <a class="code" href="namespaceOgre.html#92a09e47bee5654fe8587a739dde5b80">SceneQueryResultWorldFragmentList</a>;
<a name="l00203"></a><a class="code" href="structOgre_1_1SceneQueryResult.html">00203</a>     <span class="keyword">struct </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="structOgre_1_1SceneQueryResult.html" title="Holds the results of a scene query.">SceneQueryResult</a>
<a name="l00204"></a>00204     {
<a name="l00206"></a><a class="code" href="structOgre_1_1SceneQueryResult.html#2224618a99dc451317e56082697b1ffa">00206</a>         <a class="code" href="namespaceOgre.html#eb1862543a1dcd5fc29dc4e549a71f15">SceneQueryResultMovableList</a> movables;
<a name="l00208"></a><a class="code" href="structOgre_1_1SceneQueryResult.html#8157783aec3ca4d9566a9a6bfe08fee0">00208</a>         <a class="code" href="namespaceOgre.html#92a09e47bee5654fe8587a739dde5b80">SceneQueryResultWorldFragmentList</a> worldFragments;
<a name="l00209"></a>00209     };
<a name="l00210"></a>00210 
<a name="l00217"></a><a class="code" href="classOgre_1_1RegionSceneQuery.html">00217</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RegionSceneQuery.html" title="Abstract class defining a query which returns single results from a region.">RegionSceneQuery</a>
<a name="l00218"></a>00218         : <span class="keyword">public</span> <a class="code" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions...">SceneQueryListener</a>
<a name="l00219"></a>00219     {
<a name="l00220"></a>00220     <span class="keyword">protected</span>:
<a name="l00221"></a><a class="code" href="classOgre_1_1RegionSceneQuery.html#cf71b48a7b75f0a13eeb49161fb26b9f">00221</a>         <a class="code" href="structOgre_1_1SceneQueryResult.html" title="Holds the results of a scene query.">SceneQueryResult</a>* mLastResult;
<a name="l00222"></a>00222     <span class="keyword">public</span>:
<a name="l00224"></a>00224         <a class="code" href="classOgre_1_1RegionSceneQuery.html" title="Abstract class defining a query which returns single results from a region.">RegionSceneQuery</a>(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>* mgr);
<a name="l00225"></a>00225         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1RegionSceneQuery.html" title="Abstract class defining a query which returns single results from a region.">RegionSceneQuery</a>();
<a name="l00234"></a>00234         <span class="keyword">virtual</span> <a class="code" href="structOgre_1_1SceneQueryResult.html" title="Holds the results of a scene query.">SceneQueryResult</a>&amp; execute(<span class="keywordtype">void</span>);
<a name="l00235"></a>00235 
<a name="l00243"></a>00243         <span class="keyword">virtual</span> <span class="keywordtype">void</span> execute(<a class="code" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions...">SceneQueryListener</a>* listener) = 0;
<a name="l00244"></a>00244         
<a name="l00248"></a>00248         <span class="keyword">virtual</span> <a class="code" href="structOgre_1_1SceneQueryResult.html" title="Holds the results of a scene query.">SceneQueryResult</a>&amp; getLastResults(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00255"></a>00255         <span class="keyword">virtual</span> <span class="keywordtype">void</span> clearResults(<span class="keywordtype">void</span>);
<a name="l00256"></a>00256 
<a name="l00258"></a>00258         <span class="keywordtype">bool</span> queryResult(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* first);
<a name="l00260"></a>00260         <span class="keywordtype">bool</span> queryResult(<a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html" title="Represents part of the world geometry that is a result of a SceneQuery.">SceneQuery::WorldFragment</a>* fragment);
<a name="l00261"></a>00261     };
<a name="l00262"></a>00262 
<a name="l00264"></a><a class="code" href="classOgre_1_1AxisAlignedBoxSceneQuery.html">00264</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1AxisAlignedBoxSceneQuery.html" title="Specialises the SceneQuery class for querying within an axis aligned box.">AxisAlignedBoxSceneQuery</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RegionSceneQuery.html" title="Abstract class defining a query which returns single results from a region.">RegionSceneQuery</a>
<a name="l00265"></a>00265     {
<a name="l00266"></a>00266     <span class="keyword">protected</span>:
<a name="l00267"></a><a class="code" href="classOgre_1_1AxisAlignedBoxSceneQuery.html#65b698ee00135e3f97a45de211d62254">00267</a>         <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a> mAABB;
<a name="l00268"></a>00268     <span class="keyword">public</span>:
<a name="l00269"></a>00269         <a class="code" href="classOgre_1_1AxisAlignedBoxSceneQuery.html" title="Specialises the SceneQuery class for querying within an axis aligned box.">AxisAlignedBoxSceneQuery</a>(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>* mgr);
<a name="l00270"></a>00270         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1AxisAlignedBoxSceneQuery.html" title="Specialises the SceneQuery class for querying within an axis aligned box.">AxisAlignedBoxSceneQuery</a>();
<a name="l00271"></a>00271 
<a name="l00273"></a>00273         <span class="keywordtype">void</span> setBox(<span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; box);
<a name="l00274"></a>00274 
<a name="l00276"></a>00276         <span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; getBox(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00277"></a>00277 
<a name="l00278"></a>00278     };
<a name="l00279"></a>00279 
<a name="l00281"></a><a class="code" href="classOgre_1_1SphereSceneQuery.html">00281</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1SphereSceneQuery.html" title="Specialises the SceneQuery class for querying within a sphere.">SphereSceneQuery</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RegionSceneQuery.html" title="Abstract class defining a query which returns single results from a region.">RegionSceneQuery</a>
<a name="l00282"></a>00282     {
<a name="l00283"></a>00283     <span class="keyword">protected</span>:
<a name="l00284"></a><a class="code" href="classOgre_1_1SphereSceneQuery.html#c5c07ea44a8ca10ee63c2fa882b07521">00284</a>         <a class="code" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a> mSphere;
<a name="l00285"></a>00285     <span class="keyword">public</span>:
<a name="l00286"></a>00286         <a class="code" href="classOgre_1_1SphereSceneQuery.html" title="Specialises the SceneQuery class for querying within a sphere.">SphereSceneQuery</a>(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>* mgr);
<a name="l00287"></a>00287         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1SphereSceneQuery.html" title="Specialises the SceneQuery class for querying within a sphere.">SphereSceneQuery</a>();
<a name="l00289"></a>00289         <span class="keywordtype">void</span> setSphere(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a>&amp; sphere);
<a name="l00290"></a>00290 
<a name="l00292"></a>00292         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a>&amp; getSphere() <span class="keyword">const</span>;
<a name="l00293"></a>00293 
<a name="l00294"></a>00294     };
<a name="l00295"></a>00295 
<a name="l00298"></a><a class="code" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html">00298</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html" title="Specialises the SceneQuery class for querying within a plane-bounded volume.">PlaneBoundedVolumeListSceneQuery</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RegionSceneQuery.html" title="Abstract class defining a query which returns single results from a region.">RegionSceneQuery</a>
<a name="l00299"></a>00299     {
<a name="l00300"></a>00300     <span class="keyword">protected</span>:
<a name="l00301"></a><a class="code" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html#3c9e7972e74e08c1743683d9d288dfd9">00301</a>         <a class="code" href="namespaceOgre.html#f6bda7879d1ac92561a02cbd1833e1b1">PlaneBoundedVolumeList</a> mVolumes;
<a name="l00302"></a>00302     <span class="keyword">public</span>:
<a name="l00303"></a>00303         <a class="code" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html" title="Specialises the SceneQuery class for querying within a plane-bounded volume.">PlaneBoundedVolumeListSceneQuery</a>(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>* mgr);
<a name="l00304"></a>00304         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html" title="Specialises the SceneQuery class for querying within a plane-bounded volume.">PlaneBoundedVolumeListSceneQuery</a>();
<a name="l00306"></a>00306         <span class="keywordtype">void</span> setVolumes(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f6bda7879d1ac92561a02cbd1833e1b1">PlaneBoundedVolumeList</a>&amp; volumes);
<a name="l00307"></a>00307 
<a name="l00309"></a>00309         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f6bda7879d1ac92561a02cbd1833e1b1">PlaneBoundedVolumeList</a>&amp; getVolumes() <span class="keyword">const</span>;
<a name="l00310"></a>00310 
<a name="l00311"></a>00311     };
<a name="l00312"></a>00312 
<a name="l00313"></a>00313 
<a name="l00314"></a>00314     <span class="comment">/*</span>
<a name="l00316"></a>00316 <span class="comment">    class _OgreExport PyramidSceneQuery : public RegionSceneQuery</span>
<a name="l00317"></a>00317 <span class="comment">    {</span>
<a name="l00318"></a>00318 <span class="comment">    public:</span>
<a name="l00319"></a>00319 <span class="comment">        PyramidSceneQuery(SceneManager* mgr);</span>
<a name="l00320"></a>00320 <span class="comment">        virtual ~PyramidSceneQuery();</span>
<a name="l00321"></a>00321 <span class="comment">    };</span>
<a name="l00322"></a>00322 <span class="comment">    */</span>
<a name="l00323"></a>00323 
<a name="l00329"></a><a class="code" href="classOgre_1_1RaySceneQueryListener.html">00329</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RaySceneQueryListener.html" title="Alternative listener class for dealing with RaySceneQuery.">RaySceneQueryListener</a> 
<a name="l00330"></a>00330     {
<a name="l00331"></a>00331     <span class="keyword">public</span>:
<a name="l00332"></a><a class="code" href="classOgre_1_1RaySceneQueryListener.html#055ea5aff0165926892ad74289d2f73c">00332</a>         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1RaySceneQueryListener.html" title="Alternative listener class for dealing with RaySceneQuery.">RaySceneQueryListener</a>() { }
<a name="l00339"></a>00339         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> queryResult(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* obj, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> distance) = 0;
<a name="l00340"></a>00340 
<a name="l00347"></a>00347         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> queryResult(<a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html" title="Represents part of the world geometry that is a result of a SceneQuery.">SceneQuery::WorldFragment</a>* fragment, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> distance) = 0;
<a name="l00348"></a>00348 
<a name="l00349"></a>00349     };
<a name="l00350"></a>00350       
<a name="l00352"></a><a class="code" href="structOgre_1_1RaySceneQueryResultEntry.html">00352</a>     <span class="keyword">struct </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="structOgre_1_1RaySceneQueryResultEntry.html" title="This struct allows a single comparison of result data no matter what the type.">RaySceneQueryResultEntry</a>
<a name="l00353"></a>00353     {
<a name="l00355"></a><a class="code" href="structOgre_1_1RaySceneQueryResultEntry.html#f3e8eed523c4215c5733a9886db7ec29">00355</a>         <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> distance;
<a name="l00357"></a><a class="code" href="structOgre_1_1RaySceneQueryResultEntry.html#58ba184768924a39ab195dcf96472f65">00357</a>         <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* movable;
<a name="l00359"></a><a class="code" href="structOgre_1_1RaySceneQueryResultEntry.html#cc6655f373532d7b9d3017acab7535a9">00359</a>         <a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html" title="Represents part of the world geometry that is a result of a SceneQuery.">SceneQuery::WorldFragment</a>* worldFragment;
<a name="l00361"></a><a class="code" href="structOgre_1_1RaySceneQueryResultEntry.html#34a0b8081991ce12025445ae35117ca6">00361</a>         <span class="keywordtype">bool</span> operator &lt; (<span class="keyword">const</span> <a class="code" href="structOgre_1_1RaySceneQueryResultEntry.html" title="This struct allows a single comparison of result data no matter what the type.">RaySceneQueryResultEntry</a>&amp; rhs)<span class="keyword"> const</span>
<a name="l00362"></a>00362 <span class="keyword">        </span>{
<a name="l00363"></a>00363             <span class="keywordflow">return</span> this-&gt;distance &lt; rhs.<a class="code" href="structOgre_1_1RaySceneQueryResultEntry.html#f3e8eed523c4215c5733a9886db7ec29" title="Distance along the ray.">distance</a>;
<a name="l00364"></a>00364         }
<a name="l00365"></a>00365 
<a name="l00366"></a>00366     };
<a name="l00367"></a><a class="code" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">00367</a>     <span class="keyword">typedef</span> std::vector&lt;RaySceneQueryResultEntry&gt; <a class="code" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">RaySceneQueryResult</a>;
<a name="l00368"></a>00368 
<a name="l00370"></a><a class="code" href="classOgre_1_1RaySceneQuery.html">00370</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1RaySceneQueryListener.html" title="Alternative listener class for dealing with RaySceneQuery.">RaySceneQueryListener</a>
<a name="l00371"></a>00371     {
<a name="l00372"></a>00372     <span class="keyword">protected</span>:
<a name="l00373"></a><a class="code" href="classOgre_1_1RaySceneQuery.html#549a2d58803cafe0f5c0e36e750e58e6">00373</a>         <a class="code" href="classOgre_1_1Ray.html" title="Representation of a ray in space, ie a line with an origin and direction.">Ray</a> mRay;
<a name="l00374"></a><a class="code" href="classOgre_1_1RaySceneQuery.html#90940fd45a737eb1c23d19045a875999">00374</a>         <span class="keywordtype">bool</span> mSortByDistance;
<a name="l00375"></a><a class="code" href="classOgre_1_1RaySceneQuery.html#37493a877c05ae2cd72c343c037418f9">00375</a>         <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mMaxResults;
<a name="l00376"></a><a class="code" href="classOgre_1_1RaySceneQuery.html#6703cadb44854b231a12d4e399d64aab">00376</a>         <a class="code" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">RaySceneQueryResult</a> mResult;
<a name="l00377"></a>00377 
<a name="l00378"></a>00378     <span class="keyword">public</span>:
<a name="l00379"></a>00379         <a class="code" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a>(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>* mgr);
<a name="l00380"></a>00380         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a>();
<a name="l00382"></a>00382         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setRay(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Ray.html" title="Representation of a ray in space, ie a line with an origin and direction.">Ray</a>&amp; ray);
<a name="l00384"></a>00384         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Ray.html" title="Representation of a ray in space, ie a line with an origin and direction.">Ray</a>&amp; getRay(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00403"></a>00403         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setSortByDistance(<span class="keywordtype">bool</span> sort, <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> maxresults = 0);
<a name="l00405"></a>00405         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> getSortByDistance(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00408"></a>00408         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getMaxResults(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00417"></a>00417         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">RaySceneQueryResult</a>&amp; execute(<span class="keywordtype">void</span>);
<a name="l00418"></a>00418 
<a name="l00426"></a>00426         <span class="keyword">virtual</span> <span class="keywordtype">void</span> execute(<a class="code" href="classOgre_1_1RaySceneQueryListener.html" title="Alternative listener class for dealing with RaySceneQuery.">RaySceneQueryListener</a>* listener) = 0;
<a name="l00427"></a>00427 
<a name="l00431"></a>00431         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">RaySceneQueryResult</a>&amp; getLastResults(<span class="keywordtype">void</span>);
<a name="l00438"></a>00438         <span class="keyword">virtual</span> <span class="keywordtype">void</span> clearResults(<span class="keywordtype">void</span>);
<a name="l00439"></a>00439 
<a name="l00441"></a>00441         <span class="keywordtype">bool</span> queryResult(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* obj, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> distance);
<a name="l00443"></a>00443         <span class="keywordtype">bool</span> queryResult(<a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html" title="Represents part of the world geometry that is a result of a SceneQuery.">SceneQuery::WorldFragment</a>* fragment, <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> distance);
<a name="l00444"></a>00444 
<a name="l00445"></a>00445 
<a name="l00446"></a>00446 
<a name="l00447"></a>00447 
<a name="l00448"></a>00448     };
<a name="l00449"></a>00449 
<a name="l00455"></a><a class="code" href="classOgre_1_1IntersectionSceneQueryListener.html">00455</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1IntersectionSceneQueryListener.html" title="Alternative listener class for dealing with IntersectionSceneQuery.">IntersectionSceneQueryListener</a> 
<a name="l00456"></a>00456     {
<a name="l00457"></a>00457     <span class="keyword">public</span>:
<a name="l00458"></a><a class="code" href="classOgre_1_1IntersectionSceneQueryListener.html#7537def6f0635fcf975b49f65e42e5c0">00458</a>         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1IntersectionSceneQueryListener.html" title="Alternative listener class for dealing with IntersectionSceneQuery.">IntersectionSceneQueryListener</a>() { }
<a name="l00465"></a>00465         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> queryResult(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* first, <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* second) = 0;
<a name="l00466"></a>00466 
<a name="l00473"></a>00473         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> queryResult(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* movable, <a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html" title="Represents part of the world geometry that is a result of a SceneQuery.">SceneQuery::WorldFragment</a>* fragment) = 0;
<a name="l00474"></a>00474 
<a name="l00475"></a>00475         <span class="comment">/* NB there are no results for world fragments intersecting other world fragments;</span>
<a name="l00476"></a>00476 <span class="comment">           it is assumed that world geometry is either static or at least that self-intersections</span>
<a name="l00477"></a>00477 <span class="comment">           are irrelevant or dealt with elsewhere (such as the custom scene manager) */</span>
<a name="l00478"></a>00478         
<a name="l00479"></a>00479     
<a name="l00480"></a>00480     };
<a name="l00481"></a>00481         
<a name="l00482"></a><a class="code" href="namespaceOgre.html#a1ca4f17a1e8bb7381446ae6235869d8">00482</a>     <span class="keyword">typedef</span> std::pair&lt;MovableObject*, MovableObject*&gt; <a class="code" href="namespaceOgre.html#a1ca4f17a1e8bb7381446ae6235869d8">SceneQueryMovableObjectPair</a>;
<a name="l00483"></a><a class="code" href="namespaceOgre.html#e8f394829e3a85cea6faa915ac391653">00483</a>     <span class="keyword">typedef</span> std::pair&lt;MovableObject*, SceneQuery::WorldFragment*&gt; <a class="code" href="namespaceOgre.html#e8f394829e3a85cea6faa915ac391653">SceneQueryMovableObjectWorldFragmentPair</a>;
<a name="l00484"></a><a class="code" href="namespaceOgre.html#aa1601dd915ea1b91530e88825dbfd2b">00484</a>     <span class="keyword">typedef</span> std::list&lt;SceneQueryMovableObjectPair&gt; <a class="code" href="namespaceOgre.html#aa1601dd915ea1b91530e88825dbfd2b">SceneQueryMovableIntersectionList</a>;
<a name="l00485"></a><a class="code" href="namespaceOgre.html#12d0977310ce2ed229d0345c620eff00">00485</a>     <span class="keyword">typedef</span> std::list&lt;SceneQueryMovableObjectWorldFragmentPair&gt; <a class="code" href="namespaceOgre.html#12d0977310ce2ed229d0345c620eff00">SceneQueryMovableWorldFragmentIntersectionList</a>;
<a name="l00487"></a><a class="code" href="structOgre_1_1IntersectionSceneQueryResult.html">00487</a>     <span class="keyword">struct </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="structOgre_1_1IntersectionSceneQueryResult.html" title="Holds the results of an intersection scene query (pair values).">IntersectionSceneQueryResult</a>
<a name="l00488"></a>00488     {
<a name="l00490"></a><a class="code" href="structOgre_1_1IntersectionSceneQueryResult.html#e58676373c408a358f7cc01874703abc">00490</a>         <a class="code" href="namespaceOgre.html#aa1601dd915ea1b91530e88825dbfd2b">SceneQueryMovableIntersectionList</a> movables2movables;
<a name="l00492"></a><a class="code" href="structOgre_1_1IntersectionSceneQueryResult.html#7f5b38d7ff668a368bcef9886fff1941">00492</a>         <a class="code" href="namespaceOgre.html#12d0977310ce2ed229d0345c620eff00">SceneQueryMovableWorldFragmentIntersectionList</a> movables2world;
<a name="l00493"></a>00493         
<a name="l00494"></a>00494         
<a name="l00495"></a>00495 
<a name="l00496"></a>00496     };
<a name="l00497"></a>00497 
<a name="l00506"></a><a class="code" href="classOgre_1_1IntersectionSceneQuery.html">00506</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting...">IntersectionSceneQuery</a>
<a name="l00507"></a>00507         : <span class="keyword">public</span> <a class="code" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1IntersectionSceneQueryListener.html" title="Alternative listener class for dealing with IntersectionSceneQuery.">IntersectionSceneQueryListener</a> 
<a name="l00508"></a>00508     {
<a name="l00509"></a>00509     <span class="keyword">protected</span>:
<a name="l00510"></a><a class="code" href="classOgre_1_1IntersectionSceneQuery.html#988a1401a7c5a7394045f257913f9b79">00510</a>         <a class="code" href="structOgre_1_1IntersectionSceneQueryResult.html" title="Holds the results of an intersection scene query (pair values).">IntersectionSceneQueryResult</a>* mLastResult;
<a name="l00511"></a>00511     <span class="keyword">public</span>:
<a name="l00512"></a>00512         <a class="code" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting...">IntersectionSceneQuery</a>(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>* mgr);
<a name="l00513"></a>00513         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting...">IntersectionSceneQuery</a>();
<a name="l00514"></a>00514 
<a name="l00523"></a>00523         <span class="keyword">virtual</span> <a class="code" href="structOgre_1_1IntersectionSceneQueryResult.html" title="Holds the results of an intersection scene query (pair values).">IntersectionSceneQueryResult</a>&amp; execute(<span class="keywordtype">void</span>);
<a name="l00524"></a>00524 
<a name="l00532"></a>00532         <span class="keyword">virtual</span> <span class="keywordtype">void</span> execute(<a class="code" href="classOgre_1_1IntersectionSceneQueryListener.html" title="Alternative listener class for dealing with IntersectionSceneQuery.">IntersectionSceneQueryListener</a>* listener) = 0;
<a name="l00533"></a>00533 
<a name="l00537"></a>00537         <span class="keyword">virtual</span> <a class="code" href="structOgre_1_1IntersectionSceneQueryResult.html" title="Holds the results of an intersection scene query (pair values).">IntersectionSceneQueryResult</a>&amp; getLastResults(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00544"></a>00544         <span class="keyword">virtual</span> <span class="keywordtype">void</span> clearResults(<span class="keywordtype">void</span>);
<a name="l00545"></a>00545 
<a name="l00547"></a>00547         <span class="keywordtype">bool</span> queryResult(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* first, <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* second);
<a name="l00549"></a>00549         <span class="keywordtype">bool</span> queryResult(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a>* movable, <a class="code" href="structOgre_1_1SceneQuery_1_1WorldFragment.html" title="Represents part of the world geometry that is a result of a SceneQuery.">SceneQuery::WorldFragment</a>* fragment);
<a name="l00550"></a>00550     };
<a name="l00551"></a>00551     
<a name="l00552"></a>00552 
<a name="l00553"></a>00553 }
<a name="l00554"></a>00554     
<a name="l00555"></a>00555 
<a name="l00556"></a>00556 
<a name="l00557"></a>00557 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:56 2008
</p>
</body>
</html>
